curl --request POST \
--url https://api.notifique.dev/v1/email/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "yourcompany.com"
}
'{
"success": true,
"data": {
"id": "clxx123...",
"domain": "seudominio.com",
"status": "PENDING",
"dnsRecords": [
{
"type": "TXT",
"name": "notifique._domainkey.seudominio.com",
"value": "p=MIGf..."
}
],
"createdAt": "2025-02-15T10:00:00.000Z"
},
"message": "Add the DNS record(s) above to your domain, then call the verify endpoint or use the Verify button in the dashboard."
}{
"success": false,
"error": "Bad Request",
"message": "Invalid domain",
"details": [
{
"field": "domain",
"message": "domain must be a valid domain name"
}
],
"code": "BAD_REQUEST"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"data": {}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"data": {}
}{
"success": false,
"error": "Plan limit reached",
"message": "Your plan allows up to N domain(s). Upgrade to add more.",
"code": "PLAN_LIMIT_EMAIL_DOMAINS"
}{
"success": false,
"error": "Conflict",
"message": "This domain is already registered for this workspace.",
"data": {
"id": "clxx...",
"domain": "seudominio.com",
"status": "PENDING"
},
"code": "CONFLICT"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"data": {}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"data": {}
}E-mail
Register email domain
Register a domain for sending email (e.g. @yourcompany.com). The response shows what to set in DNS.
POST
/
v1
/
email
/
domains
curl --request POST \
--url https://api.notifique.dev/v1/email/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "yourcompany.com"
}
'{
"success": true,
"data": {
"id": "clxx123...",
"domain": "seudominio.com",
"status": "PENDING",
"dnsRecords": [
{
"type": "TXT",
"name": "notifique._domainkey.seudominio.com",
"value": "p=MIGf..."
}
],
"createdAt": "2025-02-15T10:00:00.000Z"
},
"message": "Add the DNS record(s) above to your domain, then call the verify endpoint or use the Verify button in the dashboard."
}{
"success": false,
"error": "Bad Request",
"message": "Invalid domain",
"details": [
{
"field": "domain",
"message": "domain must be a valid domain name"
}
],
"code": "BAD_REQUEST"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"data": {}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"data": {}
}{
"success": false,
"error": "Plan limit reached",
"message": "Your plan allows up to N domain(s). Upgrade to add more.",
"code": "PLAN_LIMIT_EMAIL_DOMAINS"
}{
"success": false,
"error": "Conflict",
"message": "This domain is already registered for this workspace.",
"data": {
"id": "clxx...",
"domain": "seudominio.com",
"status": "PENDING"
},
"code": "CONFLICT"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"data": {}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"data": {}
}Autorizações
ntfEmailBearerAuthntfEmailApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Corpo
application/json
Domain you will send from (e.g. yourcompany.com or mail.yourcompany.com).
Minimum string length:
1Esta página foi útil?
⌘I

